import QtQuick 2.15
import QtQuick.Window 2.15

Window {
    width: 640
    height: 480
    visible: true
    title: qsTr("Flags of the world")

    ListView {
        id: lv
        anchors.fill: parent
        model: countries
        delegate: Rectangle {
            width: lv.width/3
            height: 30

            Text {
                text: name
                font.pixelSize: 20
                anchors.verticalCenter: parent.verticalCenter
            }

            Image {
                source: "qrc:/assets/flags/"+iso+".svg"
                height: parent.height - 4
                anchors.right: parent.right
                fillMode: Image.PreserveAspectFit
                anchors.verticalCenter: parent.verticalCenter
            }
        }
    }
}
